# Poco::Data::MySQL

# class ResultMetadata

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/ResultMetadata.h

## Description

MySQL result metadata

## Member Summary

Member Functions: adjustColumnSizeToFit, columnsReturned, init, isNull, length, metaColumn, rawData, reset, row

## Destructor

### ~ResultMetadata

~ResultMetadata();

Destroys the ResultMetadata.

## Member Functions

### adjustColumnSizeToFit

void adjustColumnSizeToFit(
std::size_t pos
);

Expands the size allocated for column to fit the length of the data.

### columnsReturned

std::size_t columnsReturned() const;

Returns the number of columns in resultset.

### init

void init(
MYSQL_STMT * stmt
);

Initializes the metadata.

### isNull

bool isNull(
std::size_t pos
) const;

Returns true if value at pos is null.

### length

std::size_t length(
std::size_t pos
) const;

Returns the length.

### metaColumn

const MetaColumn & metaColumn(
std::size_t pos
) const;

Returns the reference to the specified metacolumn.

### rawData

const unsigned char * rawData(
std::size_t pos
) const;

Returns raw data.

### reset

void reset();

Resets the metadata.

### row

MYSQL_BIND * row();

Returns pointer to native row.